Bug 988740 - [origin_ui_57] Met "Routing Error" when seaching on admin console using blank input.
[origin_ui_57] Met "Routing Error" when seaching on admin console using blank...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 05:36 EDT by Yujie Zhang
Modified: 2015-05-14 21:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:57:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-07-26 05:36:53 EDT
Description of problem:

Clicked the search button without any input to the search form, and met 

"Routing Error

No route matches {:action=>"show", :controller=>"admin_console/nodes", :id=>""}"

Should return warning message but not code error.

Version-Release number of selected component (if applicable):

devenv_3565

How reproducible:

always

Steps to Reproduce:
1.Click the search button on the admin-console/search page without any input to the form
2.
3.

Actual results:

Met "Routing Error No route matches {:action=>"show",:controller=>"admin_console/nodes", :id=>""}"

Expected results:

Should return warning message but not code error.

Additional info:
Comment 1 Jessica Forrester 2013-07-26 15:36:59 EDT
Fix is in https://github.com/openshift/origin-server/pull/3184

Invalid search will go to the search page with the associated input marked with an error.
Comment 3 Yujie Zhang 2013-07-29 02:11:12 EDT
Tested on devenv_3572, remind message "No search query was provided" will be displayed, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.